unit Datamodule_u;

interface

uses
  SysUtils, Classes, ADODB, DB;

type
  TDM = class(TDataModule)
    conProperties: TADOConnection;
    ADOProperties: TADOTable;
    ADOsuburbs: TADOTable;
    ADOProvince: TADOTable;
    ADOQry: TADOQuery;
    procedure DataModuleCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  DM: TDM;

implementation

{$R *.dfm}

procedure TDM.DataModuleCreate(Sender: TObject);
begin
ADOProperties.Close;
ADOProperties.Connection := conProperties;
ADOProperties.TableName := 'tblProperty';
ADOProperties.Open;

ADOSuburbs.Close;
ADOSuburbs.Connection := conProperties;
ADOSuburbs.TableName := 'tblsuburb';
ADOSuburbs.Open;

ADOProvince.Close;
ADOProvince.Connection := conProperties;
ADOProvince.TableName := 'tblprovince';
ADOProvince.Open;

ADOqry.Close;
ADOqry.Connection := conProperties;
ADOqry.SQL.Text := 'Select * from tblproperty';
ADOqry.Open;
end;



end.
