unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, DB, Grids, DBGrids, Menus;

type
  TForm1 = class(TForm)
    MainMenu1: TMainMenu;
    N11: TMenuItem;
    N21: TMenuItem;
    N31: TMenuItem;
    N41: TMenuItem;
    N51: TMenuItem;
    N61: TMenuItem;
    DBGrid1: TDBGrid;
    dsr: TDataSource;
    N71: TMenuItem;
    N81: TMenuItem;
    N91: TMenuItem;
    N101: TMenuItem;
    N111: TMenuItem;
    N121: TMenuItem;
    N131: TMenuItem;
    N141: TMenuItem;
    N151: TMenuItem;
    N161: TMenuItem;
    N171: TMenuItem;
    N181: TMenuItem;

    procedure FormActivate(Sender: TObject);
    procedure N11Click(Sender: TObject);
    procedure N21Click(Sender: TObject);
    procedure N31Click(Sender: TObject);
    procedure N41Click(Sender: TObject);
    procedure N51Click(Sender: TObject);
    procedure N61Click(Sender: TObject);
    procedure N71Click(Sender: TObject);
    procedure N81Click(Sender: TObject);
    procedure N91Click(Sender: TObject);
    procedure N101Click(Sender: TObject);
    procedure N111Click(Sender: TObject);
    procedure N121Click(Sender: TObject);
    procedure N131Click(Sender: TObject);
    procedure N141Click(Sender: TObject);
    procedure N151Click(Sender: TObject);
    procedure N161Click(Sender: TObject);
    procedure N171Click(Sender: TObject);
    procedure N181Click(Sender: TObject);


  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses DMu;

{$R *.dfm}




procedure TForm1.FormActivate(Sender: TObject);
var path : string;
begin
dm.ADOCon.close;
path := ExtractFilePath(Application.ExeName);
dm.ADOCon.ConnectionString := 'Provider=Microsoft.Jet.OLEDB.4.0;User ID=Admin;Data Source='+ path +'\properties.mdb;Persist Security Info=False';
dm.ADOCon.open;
end;

procedure TForm1.N101Click(Sender: TObject);
var p : string;
begin
//10.	List the address, price and the name of the suburb of all properties with
// a price of more than a value entered by the user.
dm.ADOQry.Close;
DM.ADOqry.sql.Text := '';
dm.ADOQry.Parameters.ParamByName('p').Value :=  inputbox('Input','Enter Price','');
dm.ADOQry.Open;
end;

procedure TForm1.N111Click(Sender: TObject);
var s: string;
   sID : integer;
begin
//11.	List the properties for a particular suburb, entered by the user.
{s := inputbox('Input','Enter suburb','');
dm.ADOTblsuburb.Open;
if dm.ADOTblsuburb.Locate('Suburb/town',s,[loCaseInsensitive]) = true then
sID := dm.ADOTblsuburb['ID'];
dm.ADOQry.Close;
DM.ADOqry.sql.Text := 'SELECT address FROM tblproperty WHERE suburbID = :s';
dm.ADOQry.Parameters.ParamByName('s').Value := sID;
dm.ADOQry.Open;
{OR //  }
dm.ADOQry.Close;
DM.ADOqry.sql.Text := '';
dm.ADOQry.Open;
end;

procedure TForm1.N11Click(Sender: TObject);
begin
//1.	Display a list of properties with at least 3 bedrooms in Roodepoort,
//sorted according to the price  in descending sequence.
dm.ADOQry.Close;
dm.ADOQry.sql.text := '';
dm.ADOQry.Open;
end;

procedure TForm1.N121Click(Sender: TObject);
begin
//12.	List the average price of properties per suburb with a suitable column heading.
dm.ADOQry.Close;
dm.ADOQry.sql.text := '';
dm.ADOQry.Open;
end;

procedure TForm1.N131Click(Sender: TObject);
begin
//13.	List the number of properties per suburb if the number of properties is more than 2.
dm.ADOQry.Close;
dm.ADOQry.sql.text := '';
dm.ADOQry.Open;
end;

procedure TForm1.N141Click(Sender: TObject);
begin
//14.	Change the address of record number 122 in the properties table to 13 Forsyth avenue instead of 13 Forsyth.
dm.ADOQry.Close;
dm.ADOQry.sql.text := '';
dm.ADOQry.ExecSQL;

end;

procedure TForm1.N151Click(Sender: TObject);
begin
//15.	Increase the price for all properties in Pierre van Ryneveld by 10%
dm.ADOQry.Close;
dm.ADOQry.sql.text := ';
dm.ADOQry.ExecSQL;

end;

procedure TForm1.N161Click(Sender: TObject);
begin
//16.	Add an Asterisk * to the name of all suburbs where the average price for a property is higher than the average for all listed properties.
dm.ADOQry.Close;
dm.ADOQry.sql.text := '';
dm.ADOQry.ExecSQL;
end;

procedure TForm1.N171Click(Sender: TObject);
begin
//17.	Delete the property with an ID of 92. Display a suitable message to confirm before you delete the record.
dm.ADOQry.Close;
dm.ADOQry.sql.text := '';
if MessageDlg('Are you sure?',mtConfirmation,[mbyes,mbno],0) = mryes then
try
dm.ADOQry.ExecSQL       ;
showmessage('Record deleted');
except
showmessage('Not found')
end;
end;


procedure TForm1.N181Click(Sender: TObject);
var s : string;
  sID : integer;
begin
//18.	Use a parameter query to insert the address and suburb of a new property on the market.
s := inputbox('Input','Enter suburb','');
dm.ADOTblsuburb.Open;
if dm.ADOTblsuburb.Locate('Suburb/town',s,[loCaseInsensitive]) = true then
sID := dm.ADOTblsuburb['ID'];
DM.ADOqry.Active := false;

DM.ADOqry.sql.Text := '';

try
DM.ADOqry.ExecSQL;
except
  showmessage('Cannot add record');
  exit
end;
  showmessage('Record added');

end;

procedure TForm1.N21Click(Sender: TObject);
begin
//2.	Display the Manager's initial, followed by a full stop and a space and the
//Surname concatenated in one field with the heading Manager Name.
dm.ADOQry.Close;
dm.ADOQry.sql.text := '';
dm.ADOQry.Open;
end;

procedure TForm1.N31Click(Sender: TObject);
begin
//3.	Display the address, price and the 7.5% commission payable on all properties in Ballito.
//Name the calculated field 'Commission'  and display the commission rounded to 2 decimals
dm.ADOQry.Close;
dm.ADOQry.sql.text := '';
dm.ADOQry.Open;
end;

procedure TForm1.N41Click(Sender: TObject);
begin
//4.	Calculate the price per square meter for all properties where the floor area is given.  Display this in a column called Price / sq m with the address of the properties.
dm.ADOQry.Close;
dm.ADOQry.sql.text := '';
dm.ADOQry.Open;
end;
procedure TForm1.N51Click(Sender: TObject);
begin
//5.	Display all properties in Hartenbos where the price is between 1 million and 2 million and it has 3 or 4 or 5  bedrooms.
dm.ADOQry.Close;
dm.ADOQry.sql.text := '';
dm.ADOQry.Open;
end;

procedure TForm1.N61Click(Sender: TObject);
begin
//6.	Display the address and price of all properties in Waterkloof Ridge in capital letters,
//sorted from the most expensive to the least expensive.
dm.ADOQry.Close;
dm.ADOQry.sql.text := '';
dm.ADOQry.Open;
end;

procedure TForm1.N71Click(Sender: TObject);
begin
//7.	Display the suburbs in Gauteng.
dm.ADOQry.Close;
dm.ADOQry.sql.text := '';
dm.ADOQry.Open;
end;

procedure TForm1.N81Click(Sender: TObject);
begin
//8.	Display all the suburbs except suburbs or towns in Gauteng or  Mpumalanga.
dm.ADOQry.Close;
dm.ADOQry.sql.text := '';
dm.ADOQry.Open;
end;

procedure TForm1.N91Click(Sender: TObject);
begin
//9.	List the addresses of the 5 most expensive properties.
dm.ADOQry.Close;
dm.ADOQry.sql.text := '';
dm.ADOQry.Open;
end;

end.

